package com.androidseminar.contancts;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.provider.ContactsContract.CommonDataKinds.Phone;
import android.support.v4.widget.CursorAdapter;
import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.ListActivity;
import android.content.ContentResolver;
import android.content.CursorLoader;
import android.database.Cursor;
import android.view.View;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.Toast;

//@SuppressLint("NewApi")
//@TargetApi(Build.VERSION_CODES.HONEYCOMB)
public class ContactsActivity extends ListActivity {
    @SuppressWarnings("deprecation")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_contacts);


        Uri allContacts = Uri.parse("content://contacts/people");

        Cursor c=null;

        if(android.os.Build.VERSION.SDK_INT<11){
            c= managedQuery(allContacts,null,null,null,null);
        }else{
            CursorLoader cursorLoader = new CursorLoader(this,allContacts,null,null,null,null);
            c=cursorLoader.loadInBackground();
        }

        String[] columns = new String[]{
                ContactsContract.Contacts.DISPLAY_NAME,
                ContactsContract.Contacts._ID};

        int[] views =new int[] {R.id.contactName,R.id.contactID};

        SimpleCursorAdapter adapter;

        if(android.os.Build.VERSION.SDK_INT<11){
            adapter =new SimpleCursorAdapter(this,R.layout.activity_contacts,
                    c,columns,views);
        }
        else{
            adapter =new SimpleCursorAdapter(this,R.layout.activity_contacts,
                    c,columns,views,CursorAdapter.FLAG_REGISTER_CONTENT_OBSERVER);
        }

        this.setListAdapter(adapter);

    }

    @Override
    protected void onListItemClick(ListView l, View v, int position, long id) {
        // TODO Auto-generated method stub
        super.onListItemClick(l, v, position, id);

        ContentResolver cr = getContentResolver();
        Cursor phones = cr.query(Phone.CONTENT_URI, null,
                Phone.CONTACT_ID+" = "+String.valueOf(id), null, null);

        while(phones.moveToNext()){
            String number =phones.getString(phones.getColumnIndex(Phone.NUMBER));
            int type=phones.getInt(phones.getColumnIndex(Phone.TYPE));
            Toast.makeText(this, number, Toast.LENGTH_LONG).show();
        }
    }



}
